//+------------------------------------------------------------------+
//|                                            Stochastic triple.mq4 |
//|                                                           mladen |
//+------------------------------------------------------------------+
//mod cci
#property copyright "mladen"
#property link      "mladenfx@gmail.com"

#property indicator_separate_window
#property indicator_buffers    1
#property indicator_color1     Blue
#property indicator_width1     2

#property indicator_minimum    -350
#property indicator_maximum     350

#property indicator_level1     100
#property indicator_level2     -100
#property indicator_levelcolor DarkSlateGray

//
//
//
//
//

extern int CCI_Period      = 14;
extern int CCI_Price       = 0;

//
//
//
//
//

double buffer1[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,buffer1);

   IndicatorShortName("cci triple "+CCI_Period);  



   return(0);
}
int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

   //
   //
   //
   //
   //

   for(i=limit; i>=0; i--)
   {
      buffer1[i] = (iCCI(NULL,0,CCI_Period,  CCI_Price,i)+
                    iCCI(NULL,0,CCI_Period*2,CCI_Price,i)+ 
                    iCCI(NULL,0,CCI_Period*3,CCI_Price,i))/3.0;
   
   }
   
   return(0);
}

